neo4j_logger_provider Struct Reference

A provider for a neo4j logger. More...

`#include <neo4j-client.h>`

## Data Fields

struct neo4j_logger *(* | get_logger )(struct neo4j_logger_provider *self, const char *name)
| Get a new logger for the provided name. More...

## Detailed Description

A provider for a neo4j logger.

## Field Documentation

## get_logger

struct neo4j_logger*(* neo4j_logger_provider::get_logger) (struct neo4j_logger_provider *self, const char *name)

Get a new logger for the provided name.

Parameters

  [self] | This provider.
  [name] | The name for the new logger.

Returns
  A `neo4j_logger`, or `NULL` on error (errno will be set).